summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Igor Alexandrov2019-09-28 02:53:28 +0200
committer Willy Sudiarto Raharjo2019-09-28 02:53:48 +0200
commitffc8a714e72a7d3cc599254a23bd663be28a2796 (patch)
treef1722b5bad89756cf375ed3a7fe3c96af169d25e /libraries
parent36a12577938f0eb59b49c35d16761b3a0dc10024 (diff)
downloadslackbuilds-ffc8a714e72a7d3cc599254a23bd663be28a2796.tar.gz
libraries/libgxps: Added (XPS documents library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libgxps/README4
-rw-r--r--libraries/libgxps/libgxps.SlackBuild103
-rw-r--r--libraries/libgxps/libgxps.info10
-rw-r--r--libraries/libgxps/slack-desc19
4 files changed, 136 insertions, 0 deletions
diff --git a/libraries/libgxps/README b/libraries/libgxps/README
new file mode 100644
index 0000000000..155c0b739b
--- /dev/null
+++ b/libraries/libgxps/README
@@ -0,0 +1,4 @@
+libgxps is a GObject based library for handling and rendering
+XPS documents.
+
+This is an optional dependency for some packages like evince
diff --git a/libraries/libgxps/libgxps.SlackBuild b/libraries/libgxps/libgxps.SlackBuild
new file mode 100644
index 0000000000..67f8bef09b
--- /dev/null
+++ b/libraries/libgxps/libgxps.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for libgxps
+
+# Copyright 2019 Igor Alexandrov <igor.s.alexandrov@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libgxps
+VERSION=${VERSION:-0.3.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$(uname -m) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --infodir=/usr/info
+ ninja
+ DESTDIR=$PKG ninja install
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \; 2> /dev/null || true
+for i in $(find $PKG/usr/man -type l 2> /dev/null) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $(find -maxdepth 1 -type f -name '[^a-z]*' | grep -iv make) $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+test -e $CWD/doinst.sh && cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libgxps/libgxps.info b/libraries/libgxps/libgxps.info
new file mode 100644
index 0000000000..09e2a31144
--- /dev/null
+++ b/libraries/libgxps/libgxps.info
@@ -0,0 +1,10 @@
+PRGNAM="libgxps"
+VERSION="0.3.1"
+HOMEPAGE="https://wiki.gnome.org/Projects/libgxps"
+DOWNLOAD="https://download.gnome.org/sources/libgxps/0.3/libgxps-0.3.1.tar.xz"
+MD5SUM="ade83c264b3af2551a0dff9144478df8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="meson"
+MAINTAINER="Igor Alexandrov"
+EMAIL="igor.s.alexandrov@gmail.com"
diff --git a/libraries/libgxps/slack-desc b/libraries/libgxps/slack-desc
new file mode 100644
index 0000000000..757c6d9df0
--- /dev/null
+++ b/libraries/libgxps/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libgxps: libgxps (library for handling and rendering XPS documents)
+libgxps:
+libgxps: libgxps is a GObject based library for handling and rendering
+libgxps: XPS documents.
+libgxps:
+libgxps: More details:
+libgxps: https://wiki.gnome.org/Projects/libgxps
+libgxps:
+libgxps:
+libgxps:
+libgxps: